<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.Extract"
	import="net.sf.basedb.core.BioMaterial"
	import="net.sf.basedb.core.MeasuredBioMaterial"
	import="net.sf.basedb.core.BioMaterialEventSource"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.BioWell"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.core.ItemQuery"
	import="net.sf.basedb.core.query.Restrictions"
	import="net.sf.basedb.core.query.Hql"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.WellCoordinateFormatter"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.Arrays"
	import="java.util.Enumeration"
	import="java.util.Collections"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String root = request.getContextPath();
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	final User user = User.getById(dc, sc.getLoggedInUserId());

	String caseName = Values.getStringOrNull(request.getParameter("hiddenCaseName"));
	Integer numItemsToBeDestroyed = Values.getInteger(request.getParameter("hiddenNumItemsToBeDestroyed"), null);
%>
<base:page id="protocol" type="iframe" favicon="<%=home+"/images/report.png"%>">
<base:head
	scripts="~../reggie-2.js,~retraction_protocol.js" 
	styles="~../css/reggie-2.css,~../css/printable.css"
	>

	<style>
	h1
	{
		margin-top: 1em;
	}
	
	h2
	{
		margin-bottom: 0;
		font-size: 1.2em;
	}
	
	table.protocolheader
	{
		width: 100%;
		border: 1px solid #000000;
		margin-bottom: 1em;
		border-collapse: collapse;
	}
	
	table.protocolheader > tbody > tr
	{
		vertical-align: middle;
		height: 2.5em;
		max-height: 2.5em;
		border-bottom: 1px solid #000000;
		border-top: 1px solid #000000;
	}

	table.protocolheader > tbody > tr > th
	{
		text-align: left;
		font-size: 1em;
		background-color: #F0F0F0;
		padding: 4px;
		border-right: 1px solid #000000;
	}

	table.protocolheader > tbody > tr > th.subprompt
	{
		text-align: right;
		font-weight: normal;
	}

	
	table.protocolheader > tbody > tr > td
	{
		text-align: left;
		font-size: 1em;
		padding: 4px;
	}
	
	.colorbox 
	{
		display: inline-block;
		width: 0.75em; 
		height: 0.75em; 
		border: 1px solid #000000;
		margin-left: 0em;
		margin-right: 0.5em;
	}
	
	.patient-legend
	{
		width: 8em;
		text-align: center !important;
	}
	
	.allcases-legend
	{
		width: 8em;
		text-align: center !important;
	}
	
	.green
	{
		background-color: #D8F8D8;
	}
	.green.darker
	{
		background-color: #A0F8A0;
	}
	
	.blue
	{
		background-color: #D8E8FF;
	}
	.blue.darker
	{
		background-color: #B8B8FF;
	}
	
	.yellow
	{
		background-color: #FFFFD8;
	}
	.yellow.darker
	{
		background-color: #FFFFA0;
	}
	
	.red
	{
		background-color: #FFC8C8;
	}
	.red.darker
	{
		background-color: #F8A0A0;
	}
	</style>
</base:head>
<base:body>
	<div class="paper">
	<form name="reggie" id="wizard">

	<div id="page-data" class="datacontainer"
		data-casename="<%=Values.getStringOrNull(caseName)%>"
	></div>
	
	<div id="wizard-status"></div>
	
	<div id="all-protocol" style="display: none;">

	<div id="print-instructions" class="noprint fullwidth">
		<span class="button" id="print-button">
			<img src="../images/print.png">Print&hellip;
		</span>
		<b>Note!</b> 
		For better printing reduce margins to about <i>5mm</i> and set page orientation
		to <i>portrait</i>.
		<br clear="all">
	</div>

	<h1>Lab protocol for extract destruction at retracted consent <span class="reggie">Reggie <%=reggie.getAbout().getVersion() %></span></h1>

	<h2>1. Source with retracted consent</h2>
			
	<table class="protocolheader">
		<tr id="patient">
			<th style="width: 15%;">Patient</th>
		</tr>
		<tr id="allcases">
			<th style="width: 15%;">Case(s)</th>
		</tr>
	</table>

	<h2>2. Samples/extracts to be destroyed</h2>

	<table class="protocolheader">
		<tr id="itemtobedestroyed">
			<th style="width: 10%;">Item type</th>
			<th style="width: 10%;">Name</th>
			<th style="width: 8%;">Storage ID</th>
			<th style="width: 47%;">Storage position</th>
			<th style="width: 25%;">Result/Comment</th>
		</tr>
	<%
	for (int itemNo = 0; itemNo < numItemsToBeDestroyed; ++itemNo)
	{
		%>
		<tr>
			<td style="width: 10%;"><div id="itemType.<%=itemNo%>" >Item type <%=itemNo%></div></td>
			<td style="width: 10%;"><div id="itemName.<%=itemNo%>" >Item name <%=itemNo%></div></td>
			<td style="width: 8%;"><div id="storageId.<%=itemNo%>" >Storage ID <%=itemNo%></div></td>
			<td style="width: 47%;"><div id="storagePosition.<%=itemNo%>" >Storage position <%=itemNo%></div></td>
			<td style="width: 15%;"><div id="result.<%=itemNo%>" >Result <%=itemNo%></div></td>
		</tr>
		<%
	}
	%>
	</table>

	<h2>3. Lab representative certification</h2>
			
	<table class="protocolheader">
		<tr>
			<th style="width: 15%;">Date</th>
			<td style="width: 85%;"></td>
		</tr>
		<tr>
			<th style="width: 15%;">Name</th>
			<td style="width: 85%;"></td>
		</tr>

		<tr>
			<th style="width: 15%;">Signature</th>
			<td style="width: 85%;"></td>
		</tr>

		<tr style="height: 10em; vertical-align: top;">
			<th style="width: 15%;">Comments</th>
			<td style="width: 85%;"></td>
		</tr>
		</table>
	<div class="pagebreak"></div>
			
	</div>
	</form>
	</div>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>